| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Public Attributes
Tp::RefCounted Class Reference
Utililty classes

The RefCounted class is a base class for shared objects used by SharedPtr. More...

`#include <TelepathyQt4/RefCounted>`

Inherited by Tp::AbstractClient, Tp::ConnectionLowlevel, Tp::ConnectionManagerLowlevel, Tp::ContactFactory, Tp::ContactMessenger, Tp::DBusProxyFactory, Tp::Filter, Tp::MethodInvocationContext, Tp::Object, Tp::Profile, Tp::SimpleCallObserver, Tp::SimpleObserver, Tp::SimpleStreamTubeHandler::InvocationData, Tp::SimpleTextObserver, Tp::StreamTubeClient, and Tp::StreamTubeServer.

List of all members.

## Public Member Functions

- RefCounted ()
- virtual ~RefCounted ()
- void ref () const
- bool deref () const

## Public Attributes

- QAtomicInt strongref

## Detailed Description

The RefCounted class is a base class for shared objects used by SharedPtr.

See Shared Pointer Usage

## Constructor & Destructor Documentation

Tp::RefCounted::RefCounted | ( |  | ) | `[inline]`

virtual Tp::RefCounted::~RefCounted | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void Tp::RefCounted::ref | ( |  | ) | const`[inline]`

bool Tp::RefCounted::deref | ( |  | ) | const`[inline]`

## Member Data Documentation

QAtomicInt Tp::RefCounted::strongref `[mutable]`